Show / Hide Table of Contents

# Class ConnectParamsExtensions

Extension methods to ConnectParams

##### Inheritance

System.Object
ConnectParamsExtensions

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.Connection.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public static class ConnectParamsExtensions

### Methods

| Improve this Doc View Source

#### IsValid(ConnectParams, out String)

Check that the fields in ConnectParams are all valid

##### Declaration

    public static bool IsValid(this ConnectParams parameters, out string errorMessage)

##### Parameters

Type | Name | Description
--- | --- | ---
ConnectParams | parameters |
System.String | errorMessage |

##### Returns

Type | Description
--- | ---
System.Boolean |